Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.manager.propertysets
Class PropertyDefinitionImpl

    java.lang.Object
      com.bea.p13n.property.AbstractPropertyDefinition
          com.bea.content.manager.propertysets.PropertyDefinitionImpl

All Implemented Interfaces
  PropertyDefinition, Serializable

Deprecated This internal implementation class is deprecated in favor of using the public PropertySetManager EJB, WebService or the ps tag library.

    @Deprecated
    public class PropertyDefinitionImpl

extends AbstractPropertyDefinition

A PropertyDefinitionImpl for content management system.

See Also
  Serialized Form

Field Summary

Fields inherited from interface com.bea.p13n.property.PropertyDefinition
`BOOLEAN, DATETIME, FLOAT, INTEGER, TEXT, USER_DEFINED`

Constructor Summary
`PropertyDefinitionImpl(String description, int type, boolean multiValued, boolean restricted, Collection restrictedValues, Object defValue)` Deprecated Constructor.

Method Summary

Methods inherited from class com.bea.p13n.property.AbstractPropertyDefinition
`compareTo, determinePropertyType, equals, getDefaultValue, getDescription, getRestrictedValues, getType, getTypeClassName, hashCode, isMultiValued, isRestricted, setDefaultValue, setDescription, setMultiValued, setRestricted, setRestrictedValues, setType, toString, validate`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PropertyDefinitionImpl

    public PropertyDefinitionImpl(String description,
                                  int type,
                                  boolean multiValued,
                                  boolean restricted,
                                  Collection restrictedValues,
                                  Object defValue)

  Deprecated
  Constructor.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.